<nav class = "navbar navbar-expand-lg navbar-light bg-light">
    <div class = "container">
         <a class="navbar-brand" 
         href="{{ .Site.BaseURL }}">
         Paul Cairns
         </a>
         <button class="navbar-toggler" 
         type="button" 
         data-bs-toggle="collapse" 
         data-bs-target="#navbarMain">
         <span class="navbar-toggler-icon"></span>
         </button>
         <div class="collapse navbar-collapse" 
             id="navbarMain">
             <ul class="navbar-nav">
                 <li class = "nav-item">
                 <a class = "nav-link"
                    href="{{ .Site.BaseURL }}about">
                    About
                 </a>
                 </li>
                 <li class = "nav-item">
                     <a class = "nav-link"
                        href="{{ .Site.BaseURL }}agreement">
                        Agreement
                     </a>
                 </li>
                 <li class = "nav-item">
                     <a class = "nav-link"
                         href="{{ .Site.BaseURL }}final-project">
                         Final Project
                     </a>
                 
                 <li class = "nav-item dropdown">
                     <a class="nav-link dropdown-toggle" 
                     href="#" id="navbarAssignments" 
                     role="button" 
                     data-bs-toggle="dropdown">
                         Assignments
                       </a>
                       <div class = "dropdown-menu">
                             <a class = "dropdown-item"
                                 href="{{ .Site.BaseURL }}/assignments/1-practice-and-principles" >
                                 1 - Principles and Practices
                             </a>
         
                             <a class = "dropdown-item"
                                 href="{{ .Site.BaseURL }}/assignments/2-project-management" >
                                 2 - Project Management
                             </a>
                        
                             <a class = "dropdown-item"
                                 href="{{ .Site.BaseURL }}/assignments/3-computer-aided-design" >
                                 3 - Computer Aided Design
                             </a>
                        
                             <a class = "dropdown-item"
                                 href="{{ .Site.BaseURL }}/assignments/4-computer-controlled-cutting" >
                                 4 - Computer Controlled Cutting
                             </a>
                     
                             <a class = "dropdown-item"
                                 href="{{ .Site.BaseURL }}/assignments/5-electronics-production" >
                                 5 - Electronics Production
                             </a>
                         </div>             
                     </li> 
                 </li>   
             </ul> 
         </div>
     </div> <!-- /.container -->   
 </nav>
